! MIDAS procedure He2Mg.prg 
! A. Kaufer	941906
!
! use via  He2Mg catalog outable window1 window2  
!
!   with:
!   	catalog  : catalog of 1D-images (with extend)
!	outtable : table for results  :jd24  :wlam   
!	window1   : left,right,range of window for He4471
!	window2   : left,right,range of window for Mg4481
!
define/par p1 ?             C  "Enter catalog: "
define/par p2 ?             C  "Enter outtable: "
define/par p3 "4469,4473,1" C  "Enter left,right,range of window for He4471: "
define/par p4 "4476,4486,1" C  "Enter left,right,range of window for Mg4481: "
!
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local num/i/1/1 0
define/local jd24/d/1/1 0. 
define/local window1/c/1/80 " " all
define/local window2/c/1/80 " " all
define/local infile/c/1/80 " " all
!
define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

crea/table {p2}
crea/col {p2} :jd24 ? D12.5 R*8
crea/col {p2} :wlamHe4471 ? F8.3  R*4
crea/col {p2} :wlamMg4481 ? F8.3  R*4
!
write/key window1 {p3}
write/key window2 {p4}
write/descr {p2}.{mid$types(9:{extlen2})} window1/c/1/20 {p3}
write/descr {p2}.{mid$types(9:{extlen2})} window2/c/1/20 {p4}
!
next:
store/frame infile {p1} 1 finish
dele/temp no
num = num+1
write/out "processing {infile}"
!
!cop/dk {infile} o_time/d/4/1 jd24/d/1/1
cop/dk {infile} dtime/d/4/1 jd24/d/1/1
{p2},:jd24,@{num} = {jd24}
!
integ/line {infile} @1 ? ? B {window1}
{p2},:wlamHe4471,@{num} = {outputr(10)} 
!
integ/line {infile} @1 ? ? B {window2}
{p2},:wlamMg4481,@{num} = {outputr(10)} 
!
goto next
!
finish:
comp/tab {p2} :He2Mg = :WlamHe4471/:WlamMg4481
read/tab {p2}
exit:
