! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure chisqrdistpp.prg 
! A. Kaufer	941019
!
! use as 
!          @@ CHISQRDISTPP n alpha 
! with 
!            n : degrees of freedom 
!            alpha : probabilty for the level of significance  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? N "Enter degrees of freedom : "
DEFINE/PAR P2 ? N "Enter probabilty for the level of significance : "
!
INPUTI(1) = {P1}
INPUTR(1) = {P2}
! 
RUN TSEXEC:CHISQRDISTPP
!
SET/FORMAT F5.2
OUTPUTR(2) = (1.-INPUTR(1))*100.
WRITE/OUT "level of significance = {OUTPUTR(1)}" 
WRITE/OUT "(with a probabilty of {OUTPUTR(2)} percent)"
SET/FORMAT