!
! compute minimum spectrum of a time series 
! 
! use via
! COMPUTEMIN prefix = catalog int 
!  with
!      prefix   : prefix for minimum frame, MIN is appended
!      catalog  : catalog with frames to be averaged
!      int      : catalog interval lo,hi
!
define/para p1 ? C "prefix of outframe:"
define/para p3 ? C "Catalog name: " 
define/para p4 1,999 N "Enter catalog interval lo,hi : "
!
define/local catal/i/1/1 0
define/local ima/i/1/1 0
define/local int/i/1/2 {p4}
define/local count/i/1/1 0
define/local exist/i/1/1 0
!
! find the first catalog entry
start:
store/frame in_a {p3} 1 end
ima = ima+1
if ima .ge. {int(1)}  then
 write/out "#{ima}: {in_a}" 
 crea/ima &min = {in_a} POLY 999
else
 goto start
endif
!
next:
store/frame in_a {p3} 1 finish
ima = ima+1
if ima .ge. {int(1)} .and. ima .le. {int(2)} then
 write/out "#{ima}: {in_a} "
 compute/ima &min = MIN(&min,{in_a})
! plo &min
 count = count+1
endif
goto next
!
finish:
compute/ima {p1}MIN = &min
write/out "minimum spectrum is stored in {p1}MIN"
!
end:
