! @@ ts2phima.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ts2vphima.prg  
! A. Kaufer	940328
! 
! use via
! TS2PHIMA out = inframes x_int t_int phase [renorm_flag] [fil_flag]
! with inframes:  catalog.cat
!      x_interval: lambda_center,v_low,v_high of velocity interval 
!      t_interval: cat_entry_start,cat_entry_stop, defaulted to all 
!      phase     : period,epoch,no. of phase-bin
!      renorm flag y/n  : renorm spectra, defaulted to y
!      filter flag y/n  : filter median 3x1 in t, defaulted to y 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? IMA "Enter result frame: "
!
DEFINE/PAR P3 ? C   "Enter catalog.cat with 1-dim frames    : "
DEFINE/PAR P4 ? N   "Enter central wavelength and velocity interval lamc,vlo,vhi: "
DEFINE/PAR P5 0,0 N "Enter valid catalog interval tlo,thi : "
DEFINE/PAR P6 ? N   "Enter period,epoch,no. of phase-bin,overlap in % : "
DEFINE/PAR P7 Y C   "Renorm spectra [y/n] : "
DEFINE/PAR P8 N C   "Filter median 3x1 in time direction [y/n] : "
! 
WRITE/KEY HISTORY "TS2VPHIMA {P3}"
WRITE/KEY OUT_A {P1}
WRITE/KEY INPUTD/D/1/8 {P4},2.0,{P6}
WRITE/KEY INPUTI/I/1/2 {P5}
!
RUN TSEXEC:TS2VPHIMA
!
DELETE/TEMP
LOAD {P1} scale=2,10
@@ TSPROC:overaxisd ? ? "Velocity" "Phase"
SORT/TAB {p1} :T
LOAD/TAB {P1} :X :T :IDENT -1 
!END 








