! MIDAS procedure integlinecat.prg 
! A. Kaufer	940407
! derived from eqw.org by
! O. Stahl      93????
!
! use via  integlinecat catalog outable window  
!
!   with:
!   	catalog  : catalog of 1D-images (with extend)
!	outtable : table for results  :jd24  :wlam :Int :Itot  
!	window   : left,right,range of window
!
define/par p1 ?             C  "Enter catalog: "
define/par p2 ?             C  "Enter outtable: "
define/par p3 6554,6570,1   C  "Enter left,right,range of window: "
!
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local num/i/1/1 0
define/local jd24/d/1/1 0. 
define/local window/c/1/80 " " all
define/local rwindow/r/1/3 {p3}
define/local infile/c/1/80 " " all

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

crea/table {p2}
crea/col {p2} :file ? A40 C*40
crea/col {p2} :jd24 ? D24.17 R*8
crea/col {p2} :wlam ? F8.3  R*4
crea/col {p2} :Int  ? F12.3  R*4
crea/col {p2} :Itot ? F12.3  R*4
!
write/key window {p3}
write/descr {p2}.{mid$types(9:16)} window/c/1/20 {p3}
!
next:
store/frame infile {p1} 1 finish
dele/temp no
num = num+1
!
{p2},:file,@{num} = "{infile}"
!
cop/dk {infile} o_time/d/4/1 jd24/d/1/1
!cop/dk {infile} dtime/d/4/1 jd24/d/1/1
set/format F22.17
{p2},:jd24,@{num} = {jd24}
!
@@ TSPROC:integrline.prg {infile} @1 ? ? B {window}
outputr(10) = 1000.*{outputr(10)}
{p2},:wlam,@{num} = {outputr(10)}
set/format F8.4
write/out "{infile}: Wlam = {outputr(10)} mA"

{p2},:Int,@{num} = {outputr(8)}
write/out "{infile}: Int = {outputr(8)} "

stat/ima {infile} [{rwindow(1)}:{rwindow(2)}] >null
{p2},:Itot,@{num} = {outputr(7)}
write/out "{infile}: Itot = {outputr(7)} "

set/format
!
goto next
!
finish:
exit:
