! MIDAS procedure integlinecat.prg 
! A. Kaufer	940407
! derived from eqw.org by
! O. Stahl      93????
!
! use via  integlinecat catalog outable window  
!
!   with:
!   	catalog  : catalog of 1D-images (with extend)
!	outtable : table for results  :jd24  :wlam   
!	window   : left,right,range of window
!
define/par p1 ?             C  "Enter catalog: "
define/par p2 ?             C  "Enter outtable: "
define/par p3 "6562.817,-300,300,18" C  "Enter center,vlo,vhi,sys.velocity: "
!
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local num/i/1/1 0
define/local jd24/d/1/1 0. 
define/local window/r/1/4 {p3}
define/local wave/r/1/4 0. all
define/local infile/c/1/80 " " all

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

!
crea/table {p2}
crea/col {p2} :jd24 ? D12.5 R*8
crea/col {p2} :wlam ? F8.3  R*4
crea/col {p2} :wlamblue ? F8.3  R*4
crea/col {p2} :wlamred  ? F8.3  R*4
!
write/descr {p2}.{mid$types(9:{extlen2})} window/r/1/4 {p3}
wave(1) = window(1)*(1.+(window(2)+window(4))/3.e5)
wave(2) = window(1)*(1.+(window(3)+window(4))/3.e5)
wave(3) = 1.
wave(4) = window(1)*(1.+window(4)/3.e5)
!
next:
store/frame infile {p1} 1 finish
dele/temp no
num = num+1
!
!cop/dk {infile} o_time/d/4/1 jd24/d/1/1
cop/dk {infile} dtime/d/4/1 jd24/d/1/1
{p2},:jd24,@{num} = {jd24}
!
@@ TSPROC:integrline {infile} @1 ? ? B {wave(1)},{wave(2)},{wave(3)},{wave(4)}
outputr(10) = 1000.*outputr(10)
outputr(11) = 1000.*outputr(11)
outputr(12) = 1000.*outputr(12)
{p2},:wlam,@{num} = {outputr(10)}
{p2},:wlamblue,@{num} = {outputr(11)}
{p2},:wlamred,@{num} = {outputr(12)}
set/format F8.1
write/out "{infile}: Wlam = {outputr(10)} mA, "
write/out "          blue = {outputr(11)} mA, "
write/out "          red  = {outputr(12)} mA  "
set/format
!
goto next
!
finish:
exit:
