!     *******************
!     *  XOVERCAT.PRG   *
!     *******************
!  exa: @@ xovercat hd160529.cat 6343.5,6349.5 0.15,1.15 0.2
!
! @@ overvat.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  overcat.prg  
! A. Kaufer	941121
! 
! use via
!  	OVERCAT catalog xstart,xend ystart,yend yoffset  
! 	  with catalog     : catalog of 1D images
!              xstart,xend : wavelength range
!              ystart,yend : intens. range
!	       yoffset     : offset betwen overplots in y-direction 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? cat "Enter catalog: "
define/par p2 ?   n "Enter xstart,xend : "
define/par p3 ?   n "Enter ystart,yend : "
define/par p4 0   n "Enter y-offset : "
!
define/local offset/r/1/1 0.
define/local loff/r/1/1 0.
define/local catal/i/1/1 0
define/local nix/i/1/1 0
!
offset = -{p4}
set/gra xa={p2} ya={p3} pmode=1
plo/axes ? ? ? "wavelength [\AA ]" "normalized flux"
!
next:
store/frame in_a {p1} 1 finish
offset = offset+{p4}
over {in_a} ? ? {offset}
write/out {in_a}
!inquire/key xx/c/1/1 "next ?" 
goto next
!
finish:
!set/gra
exit:
