define/para p1 ? N "Enter period in days:"
define/para p2 ? N "Enter sampling rate in 1/hours:"
define/para p3 ? N "Enter length of run in days:"
define/para p4 ? N "Enter length of night in hours:"

define/local nbins/i/1/1 0
define/local phbin/r/1/1 0.0
define/local length/r/1/1 0.0
define/local tab/c/1/20 "phasecoverage"

nbins = m$nint({p3} * 24. * {p2})
crea/tab {tab} 2 {nbins}

comp/tab {tab} :nbin = SEQ
comp/tab {tab} :jd = :nbin * 1./{p2} / 24.
comp/tab {tab} :fjd = :jd - INT(:jd-0.5) 

@@ TSPROC:phaser {tab} {p1},0 :jd

length = {p4}/24.
sele/tab {tab} :fjd.lt.{length}

phbin = 1./{p2} / ({p1} * 24)

set/gra xa=-0.1,1.1
plot/histo {tab} :phase ? {phbin} ? ? 1

set/gra xa
