!
! MIDAS procedure plotclean.prg 
! A. Kaufer	951027
!
! use via @@ plotclean prefix freq.range
!
! uses table prefixFITm created by ts2perigram 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!  
!
define/para p1 ? C "Enter prefix of CLEANed time series: "
define/para p2 ? C "Frequency [f] or Phase [p]: "
define/para p3 ? N "Enter velocity range to display lo,hi: "
define/para p4 ? N "Enter frequency or phase range to display lo,hi: "
!
define/local vel/r/1/2/ {p3}
define/local fr/r/1/2/  {p4}
!
crea/gra 1 600,800
set/gra
!
copy/tab {p1}FITm &tab
!stat/tab &tab :vel
!vel(1) = outputr(1)-0.05*(outputr(2)-outputr(1))
!vel(2) = outputr(2)+0.05*(outputr(2)-outputr(1))
!stat/tab &tab :{p2}
!fr(1) = outputr(1)-0.10*(outputr(2)-outputr(1))
!fr(2) = outputr(2)+0.05*(outputr(2)-outputr(1))

if "{p2}" .eq. "f" then
 plot/axes {vel(1)},{vel(2)} {fr(1)},{fr(2)} ? "Velocity [km/s]" "Frequency [1/d]"
 @@ MIDPROC:sizetab &tab :vel :freq :maxpow
elseif "{p2}" .eq. "p" then
 plot/axes {vel(1)},{vel(2)} {fr(1)},{fr(2)} ? "Velocity [km/s]" "Phase at mean time"
 @@ MIDPROC:sizetab &tab :vel :phmt :maxpow
! over/tab &tab :vel :phmt 
 over/err &tab :vel :phmt :dphmt
endif


dele/temp
end:




