! @@ ts2vcov.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ts2cov.prg  
! A. Kaufer	001227
! 
! use via
! TS2COV out = inframes x_interval [t_interval] [renorm_flag] [fil_flag]
! with inframes:  catalog.cat
!      x_interval: lam1_low,lam1_high,lam2_low,lam2_high  
!      t_interval: cat_entry_start,cat_entry_stop, defaulted to all 
!      renorm flag y/n  : renorm spectra, defaulted to N
!      filter flag y/n  : filter median 3x1 in t, defaulted to N 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? IMA "Enter result frame: "
!
DEFINE/PAR P3 ? C     "Enter catalog.cat with 1-dim frames    : "
DEFINE/PAR P4 ? N     "Enter wavelength ranges, lam1lo,lam1hi,lam2lo,lam2hi: "
DEFINE/PAR P5 0,0 N   "Enter valid catalog interval tlo,thi : "
DEFINE/PAR P6 N C     "Renorm spectra [y/n] : "
DEFINE/PAR P7 N C     "Filter median 3x1 in time direction [y/n] : "
! 
WRITE/KEY HISTORY "TS2COV {P3}"
WRITE/KEY OUT_A {P1}
WRITE/KEY INPUTD/D/1/4 {P4},9e99,9e99,9e99,9e99
WRITE/KEY INPUTI/I/1/2 {P5}
!
RUN TSEXEC:TS2COV
!
DELETE/TEMP
display/ts {P1} 0 -2,-2 "Wavelength_1" "Wavelength_2" N
!END 








