! @@ ts2vcov.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ts2vcov.prg  
! A. Kaufer	001226
! 
! use via
! TS2VCOV out = inframes x_interval [t_interval] [v_step] [renorm_flag] [fil_flag]
! with inframes:  catalog.cat
!      x_interval: lam1_center,v1_low,v1_high,lam2_center,v2_low,v2_high  
!      t_interval: cat_entry_start,cat_entry_stop, defaulted to all 
!      v_step : vel_step for sampling, defaulted to 5 km/s 
!      renorm flag y/n  : renorm spectra, defaulted to N
!      filter flag y/n  : filter median 3x1 in t, defaulted to N
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? IMA "Enter result frame: "
!
DEFINE/PAR P3 ? C     "Enter catalog.cat with 1-dim frames    : "
DEFINE/PAR P4 ? N     "Enter central wavelength, vel. interval lamc1,v1lo,v1hi,lamc2,v2lo,v2hi: "
DEFINE/PAR P5 0,0 N   "Enter valid catalog interval tlo,thi : "
DEFINE/PAR P6 5 N     "Enter velocity step for re-sampling : "
DEFINE/PAR P7 N C     "Renorm spectra [y/n] : "
DEFINE/PAR P8 N C     "Filter median 3x1 in time direction [y/n] : "
! 
WRITE/KEY HISTORY "TS2VCOV {P3}"
WRITE/KEY OUT_A {P1}
WRITE/KEY INPUTD/D/1/6 {P4},9e99,9e99,9e99,9e99,9e99,9e99
WRITE/KEY INPUTD/D/7/1 {P6}
WRITE/KEY INPUTI/I/1/2 {P5}
!
RUN TSEXEC:TS2VCOV
!
DELETE/TEMP
display/ts {P1} 0 3,3 "Velocity_1" "Velocity_2" N
!END 








