! @@ ts2vtab.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ts2vtab.prg  
! A. Kaufer	940317
!               940802
! use via
! TS2TAB out = inframes x_interval t_interval v_step [renorm_flag] [fil_flag]
! with inframes:  catalog.cat
!      out     :  table with time - intensity of the columns   
!      x_interval: lambda_center,v_low,v_high of velocity interval 
!      t_interval: cat_entry_start,cat_entry_stop, defaulted to all 
!      v_step    : velocity step rebinning
!      renorm flag y/n  : renorm spectra, defaulted to y
!      filter flag y/n  : filter median 3x1 in t, defaulted to n 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? C   "Enter result table: "
!
DEFINE/PAR P3 ? C   "Enter catalog.cat with 1-dim frames    : "
DEFINE/PAR P4 ? N   "Enter central wavelength and velocity interval lamc,vlo,vhi: "
DEFINE/PAR P5 0,0 N "Enter valid catalog interval tlo,thi : "
DEFINE/PAR P6 5 N   "Enter velocity step for sampling : "
DEFINE/PAR P7 Y C   "Renorm spectra [y/n] : "
DEFINE/PAR P8 N C   "Filter median 3x1 in time direction [y/n] : "
! 
WRITE/KEY OUT_A {P1}
WRITE/KEY INPUTD/D/1/4 {P4},{P6}
WRITE/KEY INPUTI/I/1/2 {P5}
!
RUN TSEXEC:ts2vtab
!








