! @@ vovercat.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  overcat.prg  
! A. Kaufer	941003
! 
! use via
!  	VOVERCAT catalog lambda,v_lo,v_hi ystart,yend yoffset  
! 	  with catalog          : catalog of 1D images
!              lambda,v_lo,v_hi : wavelength,lowvel,highvel
!              ystart,yend      : intens. range
!	       yoffset          : offset betwen overplots in y-direction 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? cat "Enter catalog: "
define/par p2 ?   n "Enter lambda,v_lo,v_hi : "
define/par p3 ?   n "Enter ystart,yend : "
define/par p4 0   n "Enter y-offset : "
define/par p5 N   c "Echo on [N/Y] : "
!
define/local offset/r/1/1 0.
define/local loff/r/1/1 0.
define/local catal/i/1/1 0
define/local nix/i/1/1 0
define/local inter/d/1/3 {p2}
define/local infile/c/1/60 " " all
!
offset = -{p4}
set/gra xa={inter(2)},{inter(3)} ya={p3} pmode=1
plo/axes ? ? ? "velocity [km/s]" "normalized flux"
!
next:
store/frame infile {p1} 1 finish
offset = offset+{p4}
vextract/spec  {infile} &a {p2}
over &a ? ? {offset}
if "{p5}" .eq. "Y" then
 cop/dk {in_a} dtime/d/4/1 time/r/1/1
 set/format F8.3
 write/out "{infile}: JD-2400000.5 =  {time}" 
 set/format
endif 
!inquire/key xx/c/1/1 "next ?" 
goto next
!
finish:
!set/gra
dele/temp
exit:
