!
! MIDAS procedure xplotvrad.prg 
! A. Kaufer	931104
!
! use via xplotvrad tablecatalog [device]
!
!  tablecatalog  catalog with tables to plot
!  ya            y range for radial velocities
!  device        should be a lasera with portrait option
!
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!  
define/par p1 ?  C        "Enter catalog with tables: "
define/par p2 G  C  "Enter device: "
!
define/local jd/r/1/2 0. all
define/local vrad/r/1/2 0. all
define/local yoffset/i/1/1 0
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local num/i/1/1 0
define/local intable/c/1/20 " " all
!
define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

set/gra
!set/gra stype=0 ltype=1
!
!if "{p2}" .eq. "G" then
! crea/gra 1 800,1200
!endif
!
assign/graphics {p2} nospool
!
next:
store/frame in_a {p1} 1 finish
ind = m$index(in_a,".{mid$types(9:{extlen2})}")-1
write/key intable/c/1/20 " " all
write/key intable/c/1/{ind} {in_a}/c/1/{ind}
!
num = num+1
yoffset = 215-(num-1)*50
!
if {num} .eq. 1  then
 stat/table {intable} :jd24
 jd(1) =  outputr(1)-0.03*(outputr(2)-outputr(1))
 jd(2) =  outputr(2)+0.03*(outputr(2)-outputr(1))
 stat/table {intable} :vrad
 vrad(1) =  outputr(1)-0.035*(outputr(2)-outputr(1)) 
 vrad(2) =  outputr(2)+0.035*(outputr(2)-outputr(1))
 plo/axes  {jd(1)},{jd(2)} {vrad(1)},{vrad(2)} -160,-42,20,{yoffset} ? "v\{\_rad\} [km/s]"
 label/gra "{p1}" 0,47,mm 0 1.3 1
 label/gra "{intable}" 5,37,mm 0 1.0 1
 over/tab {intable} :jd24 :vrad
 over/err {intable} :jd24 :vrad :dvrad
!
else 
!
 stat/table {intable} :vrad
 vrad(1) =  outputr(1)-0.035*(outputr(2)-outputr(1))
 vrad(2) =  outputr(2)+0.035*(outputr(2)-outputr(1))
 over/axes  {jd(1)},{jd(2)} {vrad(1)},{vrad(2)} -160,-42,20,{yoffset} ? "v\{\_rad\} [km/s]"
 label/gra "{intable}" 5,37,mm 1 1.0 1
 over/tab {intable} :jd24 :vrad
 over/err {intable} :jd24 :vrad :dvrad
endif
!
goto next
!
finish:
label/gra "JD-2400000.5" 80,-10,mm 1 1.0 0
copy/graph {p2}
assign/graphics 
set/gra
!
return


