! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure fdistpp.prg 
! A. Kaufer	940226
!
! use as 
!          @@ FDISTPP m n alpha 
! with 
!            m : degrees of freedom of numerator
!            n : degrees of freedom of denumerator
!            alpha : probabilty for the level of significance  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? N "Enter degrees of freedom of numerator : "
DEFINE/PAR P2 ? N "Enter degrees of freedom of denumerator : "
DEFINE/PAR P3 ? N "Enter probabilty for the level of significance : "
!
INPUTI(1) = {P1}
INPUTI(2) = {P2}
INPUTR(1) = {P3}
! 
RUN TSEXEC:FDISTPP
!
SET/FORMAT F5.2
OUTPUTR(2) = (1.-INPUTR(1))*100.
WRITE/OUT "level of significance = {OUTPUTR(1)}" 
WRITE/OUT "(with a probabilty of {OUTPUTR(2)} percent)"
SET/FORMAT