! @@ ima2cat.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ima2cat.prg  
! A. Kaufer	950527
! 
! use via
!  	IMA2CAT frame catalog lambdac
! 	  with frame   : 2D-frame
!	       catalog : catalog name with 1D-frames (y direction) 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? ima "Enter frame: "
define/par p2 ? c   "Enter catalog for output: "
!
define/local i/i/1/1 0
define/local noima/i/1/1 0
define/local time/d/1/1 0.
!
define/local tstart/d/1/1 0.
define/local tstep/d/1/1 0.
define/local vstart/d/1/1 0.
define/local vstep/d/1/1 0.
define/local vpix/i/1/1 0
!
crea/icat {p2} null 
copy/dk {p1} npix/i/2/1 noima
copy/dk {p1} start/d/2/1 tstart 
copy/dk {p1} step/d/2/1 tstep 
!
do i = 1 {noima} 1
 extract/ima &a = {p1}[<,@{i}:>,@{i}]
 stat/ima &a
 if {outputr(1)} .gt. -0.99 then
  copy/ii &a {p1}{i}
  write/out {p1}{i}
  time = tstart+i*tstep
  write/descr {p1}{i} dtime/d/4/1 {time}
! write/descr {p1}{i} o_time/d/4/1 {time}
  add/icat {p2} {p1}{i}
 endif
enddo
!
!END
