! @@ mergeredblue.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  mergeredblue.prg  
! A. Kaufer	951231
! 
! merge red and blue HEROS spectra
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? C "Enter catalog.cat : "
!
define/local tmpname/c/1/40 " " all
define/local infile/c/1/40 " " all
define/local catal/i/1/1 0 
define/local ind/i/1/1 0 
define/local step/d/1/1 0.10
define/local mstart/d/1/1 0
define/local mend/d/1/1 0
define/local mnpix/i/1/1 0 

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

!
next:
store/frame tmpname {p1} 1 finish
ind = m$index(tmpname,".{mid$types(1:{extlen1})}")-1
write/key infile/c/1/40 " " all
write/key infile/c/1/{ind} {tmpname}/c/1/{ind}
write/out {infile}
!
! now the operation on the catalog
!

copy/dk ./red/{infile}  START/D/1/1 rstart/d/1/1 
copy/dk ./red/{infile}  NPIX/I/1/1  rnpix/i/1/1 
copy/dk ./blue/{infile} START/D/1/1 bstart/d/1/1 
copy/dk ./blue/{infile} NPIX/I/1/1  bnpix/i/1/1 

mend   = rstart+step*rnpix
mstart = bstart
mnpix  = (mend-mstart)/step+1

write/out " {mstart} - {mend}, {mnpix}*{step}"
crea/ima {infile} 1,{mnpix} {mstart},{step} POLY 1,0

insert/ima ./blue/{infile} {infile}
insert/ima ./red/{infile} {infile}
!
copy/dd ./blue/{infile} *,3 {infile}
!
goto next
finish:
