!
! Overplot cat scale time_interval first last
! overplot frames from a catalog, offset in y proportional to time
! P1 = catalog
! P2 = scale (units/day)
! P3 = time interval
! P4 = first entry in catalog
! P5 = last  entry in catalog
!
define/para  p1 ? ? "Cat name: " 
define/para  p2 ? ? "Scale (units/day): " 
define/para  p3 ? ? "Number of days: " 
define/para  p4 ? ? "First no. in cat: " 
define/para  p5 ? ? "Last  no. in cat: " 
!
define/local offset/r/1/1 0.
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local index/i/1/1 0
define/local time0/r/1/1 0.
define/local time/r/1/1 0.
define/local timey1/r/1/1 0.
define/local timey2/r/1/1 0.
define/local infile/c/1/20 " " all

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

!
ind = 0
next1:
store/frame in_a {p1} 1 finish
index = m$index(in_a,".{mid$types(1:{extlen1})}")-1
write/key infile/c/1/20 " " all
write/key infile/c/1/{index} {in_a}/c/1/{index}
ind = {ind}+1
if {ind} .lt. {p4} goto next1
if {ind} .gt. {p5} goto finish
if {ind} .eq. {p4} then
cop/dk {infile} dtime/d/4/1 time0/r/1/1
!cop/dk {infile} o_time/r/4/1 time0/r/1/1
!timey1 = {time0}-1/{p2}
timey1 = {time0}-3
timey2 = {time0}+{p3}
offset = {time0}-1/{p2}
set/gra ya={timey1},{timey2}
plo/ax
sort/tab xl{infile} :avtlam 
comp/tab xl{infile} :xxx = :vrad/{p2}+{offset}
over/tab xl{infile} :avtlam :xxx 
else
cop/dk {infile} dtime/d/4/1 time/r/1/1
!cop/dk {infile} o_time/r/4/1 time/r/1/1
offset = {time}-1/{p2}
sort/tab xl{infile} :avtlam 
comp/tab xl{infile} :xxx = :vrad/{p2}+{offset}
over/tab xl{infile} :avtlam :xxx 
endif
goto next1
!
finish:
exit:


