!
! Rebin catalog to equal start and step values
! using REGIN/II because of single precision in REBIN/LIN
!  
! P1 = catalog
! P2 = common start value
! P3 = common step  value
!
define/local catal/i/1/1 0
define/para  p1 ? ? "Catlog name: " 
define/para  p2 4000.0 N "start : " 
define/para  p3 0.12   N "step  : " 
define/para  p4 50000   N "nteps  : " 

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

!
create/ima &a 1,{P4} {P2},{P3}
!
next:
store/frame in_a {p1} 1 finish
write/out "{in_a}"
!rebin/lin {in_a} &b &a  
rebin/ii &b {in_a} &a lin 0,1
copy/dd {in_a} *,3 &b  
$mv middummb.{mid$types(1:{extlen1})} {in_a}   
goto next
!
finish:
dele/temp
