! @@ showtime.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  showtime.prg  
! A. Kaufer	940128
! 		951013  display also phase if period,epoch is given in p2
!
! show time descriptor of a catalog
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ?     C "Enter catalog.cat : "
define/par p2 0,0   N "Enter period,epoch: "
!
define/local tmpname/c/1/40 " " all
define/local infile/c/1/40 " " all
define/local catal/i/1/1 0 
define/local ind/i/1/1 0 
define/local i/i/1/1 0 
define/local year/i/1/1 0
define/local month/i/1/1 0
define/local day/i/1/1 0
define/local hh/i/1/1 0
define/local mm/i/1/1 0
define/local phase/r/1/1 0.
define/local phflag/i/1/1 0
define/local element/d/1/2 {p2}

define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

if {element(1)} .ne. 0 then
 phflag = 1
endif

write/out " {p1}: "
if {phflag} .eq. 1 then
 write/out " cat# frame  yyyy/mm/dd  hh:mm  JD-0.5          Phase   "
 write/out " -------------------------------------------------------"
else
 write/out " cat# frame  yyyy/mm/dd  hh:mm  JD-0.5        "
 write/out " ---------------------------------------------"
endif

next:
store/frame tmpname {p1} 1 finish
ind = m$index(tmpname,".{mid$types(1:{extlen1})}")-1
write/key infile/c/1/40 " " all
write/key infile/c/1/{ind} {tmpname}/c/1/{ind}
!
! now the operation on the catalog
compute/st {infile}
read/descr {infile} O_TIME
!
goto next
finish:
