!
! Statistic on catalog 
! 
! use via
!
!  STATISTCAT catalog start,end
!    with     
!           catalog   :  catalog of images
!           start,end :  wavelength intervall to measure S/N
!
define/para  p1 ? C "Catalog name: " 
!define/para  p2 5350.0,5450.0 N "Enter start,end wavelength: "   ! FLASH
define/para  p2 6700.0,6800.0 N "Enter start,end wavelength: "  ! HEROS
!
define/local catal/i/1/1 0
define/local int/d/1/2 {p2}
define/local infile/c/1/80 " " all
define/local snr/r/1/1 0.
define/local sdevsum/r/1/1 0.0
define/local count/i/1/1 0
!
next:
store/frame infile {p1} 1 finish
count = count+1
! compute sdev
extract/ima &x = {infile}[{int(1)}:{int(2)}]
filt/gauss &x &y 50
!plo &x
!over &y
comp &z = &x-&y
!plo &z
stat/ima &z
write/descr {infile} sdev/d/1/1 {outputr(4)}
snr = 1/{outputr(4)}
write/out "{count} {infile} {outputr(4)}  S/N = {snr}"
write/out
sdevsum = sdevsum+1/(outputr(4)*outputr(4))
goto next
!
finish:
snr = m$sqrt(sdevsum/count)
write/out "the rms S/N of this time series is {snr}"
dele/temp no

