! @(#)tsawdt.prg	5.1 (ESO-IPG) 4/5/93 15:59:27
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
!.COPYRIGHT (c)  1992     European Southern Observatory and Warsaw Observatory
!.IDENT     tsawdt.prg
!.AUTHOR    Alex Schwarzenberg-Czerny, ESO and Warsaw Observatory 
!.KEYWORD   MIDAS, time series, WIDTH/TSA
!.LANGUAGE  MIDAS
!.PURPOSE   Evaluate width of a spectral line
!.VERSION   0.0               June 1992
!.RETURNS   None  
!.ENVIRON   TSA context
!-----------------------------------------------------------------------------
!
!   Get parameters
!
CROSSREF INTAB WIDTH CENTRE
DEFINE/PAR P1  {INROOT1}  IMAGE  "Enter input table: "
COMPUTE/KEY INPUTD = {STEPTSA}*{NSTEPS}
DEFINE/PAR P2  {INPUTD}   NUMBER "Enter band width:"
COMPUTE/KEY INPUTD = {INPUTD}+{STARTTSA}
DEFINE/PAR P3  {INPUTD}   NUMBER "Enter band centre:"
!
WRITE/KEY INROOT1/C/1/60  {P1}
WRITE/KEY WIDTH/D/1/1   {P2}
WRITE/KEY CENTRE/D/1/1  {P3}
!
!
!
!   Call routine
!
WRITE/KEY IN_A/C/1/60   {INROOT1}
WRITE/KEY HISTORY "WIDTH/TSA"
RUN TSEXEC:TSAWDT
!
!   End of tsawdt
!
