! @@ tsminmax.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ts2ima.prg  
! O. Stahl 010917
! 
! use via
! TSMINMAX out = inframes x_interval t_interval [renorm_flag] [fil_flag]
! with inframes:  catalog.cat
!      x_interval: x_low,x_high 
!      t_interval: cat_entry_start,cat_entry_stop, defaulted to all 
!      t_step    : time_step for sampling, defaulted to 0.5 day
!      renorm flag y/n  : renorm spectra, defaulted to y
!      filter flag y/n  : filter median 3x1 in t, defaulted to y 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PAR P1 ? IMA "Enter result frame: "
!
DEFINE/PAR P3 ? C   "Enter catalog.cat with 1-dim frames    : "
DEFINE/PAR P4 ? N   "Enter x-interval xlo,xhi: "
DEFINE/PAR P5 0,0 N "Enter valid catalog interval tlo,thi : "
DEFINE/PAR P6 Y C   "Renorm spectra [y/n] : "
DEFINE/PAR P7 Y C   "Filter median 3x1 in time direction [y/n] : "
! 
WRITE/KEY HISTORY "TS2IMA {P3}"
WRITE/KEY OUT_A {P1}
WRITE/KEY INPUTD/D/1/4 {P4},0
WRITE/KEY INPUTI/I/1/2 {P5}
!
RUN TSEXEC:TSMINMAX
!
!DELE/TEMP








