!Programm tsxcor.prg		Th. Szeifert     28.06.95
!
!
defi/para p1 ? ? 		"input image		"
defi/para p2 ? ? 		"lambda,dlambda	"
defi/para p3 ? ? 		"timeshift for xcor	"
defi/para p4 50,100 ? 		"limits in pixels	"
defi/para p5 15.422,48832.5 ? 	"period,epoche		"
!
!	Variables
!
defi/loca npix/i/1/2 1,1
defi/loca j/i/1/1 0
defi/loca i/i/1/1 0
defi/loca mm/d/1/2 0.,0.
defi/loca xx/d/1/2 {p2}
defi/loca li/i/1/2 {p4}
defi/loca start/d/1/2 0.,0.
defi/loca step/d/1/2 0.,0.
defi/loca lam/d/1/1 0.
defi/loca mm2/r/1/1 0.
defi/loca pe/r/1/2 {p5}
defi/loca ll/r/1/2 0.,0.
defi/loca phase/r/1/1 0.
defi/loca fl/r/1/1 0.
!
define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8


!	prepare inputs
!
crea/tabl &g NULL 			! intable for xcor
crea/colu &g :XSTART r*8 
crea/colu &g :XEND r*8
middummg,#1,1 = -{p3} 
middummg,#2,1 = +{p3} 
copy/dk {p1} start/d/1/2 start/d/1/2	 	
copy/dk {p1} step/d/1/2 step/d/1/2	 	
copy/dk {p1} npix/i/1/2 npix/i/1/2
!
crea/tabl mist NULL
crea/colu mist :LAMBDA r*8 f8.2 "\AA"
crea/colu mist :XCEN r*8 f8.2 "days"
crea/colu mist :XERR r*8 f8.2 "days"
crea/colu mist :XSIG r*8 f8.2 "days"
crea/colu mist :XFWHM r*8 f8.2 "days"
crea/colu mist :ICENT r*8 f8.2 "unit less"
copy/dk {p1} npix/i/1/2 npix/i/1/2 	
mm2 = m$nint({p3}/step(2))
ll(1) = step(2)/2
ll(2) = pe(1)-step(2)/2
crea/tabl &tt NULL			! calculate template spectrum

crea/colu &tt :time r*4 f7.2 "\AA"
crea/colu &tt :flux   r*4 f7.4 "   "
write/tabl &tt :flux @1..{npix(2)} 0.
comp/tabl &tt :time = {start(2)} + {step(2)}*(sequence-1)
do i = 1 {npix(2)}
	phase = (start(2) + (step(2)*(i-1)) - pe(2))/pe(1) 
	phase = phase + 1 - m$nint(0.5+((start(2)+(step(2)*(i-1))-pe(2))/pe(1)))
 	phase = pe(1) * phase
	if phase .gt. {ll(2)} .OR. phase .lt. {ll(1)} THEN
		fl = 1/step(2)
		write/out "phase = {phase} , {ll(1)} , {ll(2)}"
		&tt,:flux,@{i}   = {fl} 
	endif	
enddo
extr/imag ref = {p1} [@1,<:@1,>]
conv/tabl &ttt = &tt :time :flux ref PLOT
!mm(1) = xx(1) - xx(2)	
!mm(2) = xx(1) + xx(2)
!aver/colu &t = {p1} {mm(1)},{mm(2)} 
!omp &tm = &t - 1.
!
!
!	do it
!
disp/long
!do i = 1 {npix(1)}
do i = {li(1)} {li(2)}
	j = j + 1
	extr/imag &e = {p1} [@{i},<:@{i},>]
	comp &em = &e - 1.
	xcor/imag &ttt &em &x {mm2(1)}
	over &x
	center/gauss &x,&g &c
	mist,:XCEN,{j}  = -{outputr(5)}
	mist,:XERR,{j}  = {outputr(7)}
	mist,:XSIG,{j}  = {outputr(9)}
	mist,:XFWHM,{j} = {outputr(12)}
	mist,:ICENT,{j}  = {outputr(14)}
	lam = start(1) + i * step(1)
	mist,:LAMBDA,{j} = {lam(1)}
enddo
$mv mist.{mid$types(9:{extlen2})} tsx{p1}.{mid$types(9:{extlen2})}
plot/tabl tsx{p1} :LAMBDA :XCEN	
over/erro  tsx{p1} :LAMBDA :XCEN :XERR	
