! @@ vima2cat.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  vima2cat.prg  
! A. Kaufer	950527
! 
! use via
!  	VIMA2CAT frame catalog lambdac
! 	  with frame   : 2D-frame
!	       catalog : catalog name with 1D-frames (y direction) 
!	       lambdac : central wavelength of frame (if descr LAMC does 
!			 not exist)
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? ima       "Enter frame: "
define/par p2 ? c         "Enter catalog for output: "
define/par p3 6347.109 n  "Enter central wavelength (if not in descr LAMC): "
!
define/local i/i/1/1 0
define/local exist/i/1/1 0
define/local time/d/1/1 0.
!
define/local nstep/i/1/2 0  all
define/local start/d/1/2 0. all
define/local step/d/1/2 0.  all
define/local lstart/d/1/1 0.
define/local lstep/d/1/1 0.
define/local lamc/r/1/1 0.
define/local vpix/i/1/1 0
!
crea/icat {p2} null 
copy/dk {p1} npix/i/1/2  nstep
copy/dk {p1} start/d/1/2 start 
copy/dk {p1} step/d/1/2  step 
! 
! use lamc from descriptor LAMC if exist
exist = m$existd("{p1}","LAMC")
if exist .eq. 1 then
 copy/dk {p1} lamc/d/1/1 lamc
else 
 lamc = {p3}
endif
lstart = lamc*(1.+start(1)/2.997925D5)
lstep  = lamc*step(1)/2.997925D5
copy/kd lstart/d/1/1 &a start
!
do i = 1 {nstep(2)} 1
 extract/ima &a = {p1}[<,@{i}:>,@{i}]
 stat/ima &a
 if {outputr(1)} .gt. -0.99 then
  copy/kd lstart/d/1/1 &a start/d/1/1
  copy/kd lstep/d/1/1  &a step/d/1/1  
  copy/ii &a {p1}{i}
  write/out {p1}{i}
  time = start(2)+i*step(2)
  write/descr {p1}{i} dtime/d/4/1 {time}
! write/descr {p1}{i} o_time/d/4/1 {time}
!  write/descr {p1}{i} sdev/r/1/1 0.01
  add/icat {p2} {p1}{i}
 endif
enddo
!
!END
