!
! @@ xwave catalogue table start end lam_lab  
!
define/local catal/i/1/1 0
define/local ind/i/1/1 0
define/local num/i/1/1 0
define/local infile/c/1/20 " " all
define/local wave/r/1/8 0. all
define/local jd24/r/1/1 0. 
!
define/local extlen1/i/1/1 0
define/local extlen2/i/1/1 0

extlen1 = m$index(mid$types(1:8)," ")-1
extlen2 = m$index(mid$types(9:16)," ")+8

wave(1)   =  {p3} ! start
wave(2)   =  {p4} ! end
wave(3)	  =  {p5} ! lam_lab
wave(5)   = 1.5   ! interval for labs
wave(7)   = 0.12  ! step
!
crea/tab {p2} 7 200
crea/col {p2} :file  A12   C*12 ""
crea/col {p2} :jd24 E12.6 R*4  ""
crea/col {p2} :std   E12.6 R*4  ""
crea/col {p2} :fmin  E12.6 R*4  ""
crea/col {p2} :fmax  E12.6 R*4  ""
crea/col {p2} :labs  E12.6 R*4  ""
!
next:
store/frame in_a {p1} 1 finish
dele/temp no
num = num+1
!
ind = m$index(in_a,".{mid$types(1:{extlen1})}")-1
write/key infile/c/1/20 " " all
write/key infile/c/1/{ind} {in_a}/c/1/{ind}
{p2},:file,@{num} = {infile}
cop/dk {infile} dtime/d/4/1 jd24/r/1/1
{p2},:jd24,@{num} = {jd24}

! compute std
extract/ima &x = {infile}[5350:5450]
filt/gauss &x &y 10
comp &z = &x-&y
stat/ima &z
{p2},:std,@{num} = {outputr(4)}
write/out {infile} {outputr(4)}
!
extra/ima &a = {infile}[{wave(1)}:{wave(2)}]   
rebin/lin &a &b {wave(7)} 0. {wave(1)}             
find/min &b 
{p2},:FMIN,@{num} = {outputr(1)}
{p2},:FMAX,@{num} = {outputr(2)}
outputr(11) = ({outputi(1)}-1)*{wave(7)}+{wave(1)}-{wave(5)} 
outputr(12) = ({outputi(1)}-1)*{wave(7)}+{wave(1)}+{wave(5)}
test,#1,@1 = {outputr(11)}
test,#2,@1 = {outputr(12)}
write/key plcursor middummb
center/gauss xcursor ? abs
{p2},:LABS,@{num} = {outputr(3)}
!
goto next
!
finish:
!compute radial velocity
comp/tab {p2} :vrad = (:labs-{wave(3)})/{wave(3)}*3.e5  
exit:



